# Get onboarding status Retrieve the onboarding status of the currently authenticated organization. > 🔑 Access with > > [Organization access token with **onboarding.read**](/reference/authentication) > > [OAuth access with **onboarding.read**](/reference/authentication) # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Mollie Connect", "version": "1.0.0", "license": { "name": "Attribution-NonCommercial-ShareAlike 4.0 International", "identifier": "CC-BY-NC-SA-4.0" } }, "servers": [ { "url": "https://api.mollie.com" } ], "security": [ { "apiKey": [] }, { "organizationAccessToken": [] }, { "oAuth": [] } ], "paths": { "/v2/onboarding/me": { "get": { "summary": "Get onboarding status", "x-speakeasy-name-override": "get", "tags": [ "Onboarding API" ], "operationId": "get-onboarding-status", "security": [ { "organizationAccessToken": [ "onboarding.read" ] }, { "oAuth": [ "onboarding.read" ] } ], "description": "Retrieve the onboarding status of the currently authenticated organization.\n\n> 🔑 Access with\n>\n> [Organization access token with **onboarding.read**](/reference/authentication)\n>\n> [OAuth access with **onboarding.read**](/reference/authentication)", "responses": { "200": { "description": "The onboarding status object of the current organization.", "content": { "application/hal+json": { "schema": { "type": "object", "required": [ "resource", "name", "signedUpAt", "status", "canReceivePayments", "canReceiveSettlements", "_links" ], "properties": { "resource": { "type": "string", "description": "Indicates the response contains an onboarding status object. Will always contain the string `onboarding` for this resource type.", "readOnly": true, "default": "onboarding" }, "name": { "type": "string", "description": "The name of the organization.", "example": "My webshop", "readOnly": true }, "status": { "allOf": [ { "type": "string", "description": "The current status of the organization's onboarding process.\n\nPossible values: `needs-data` `in-review` `completed`", "x-enumDescriptions": { "needs-data": "The merchant needs to provide additional information", "in-review": "The merchant provided all information, awaiting review from Mollie", "completed": "The onboarding is completed" }, "example": "completed" } ], "readOnly": true }, "canReceivePayments": { "type": "boolean", "description": "Whether the organization can receive payments.", "example": true, "readOnly": true }, "canReceiveSettlements": { "type": "boolean", "description": "Whether the organization can receive settlements to their external bank account.", "example": true, "readOnly": true }, "signedUpAt": { "type": "string", "description": "The sign up date time of the organization in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.", "example": "2023-01-15T13:45:30+00:00", "readOnly": true }, "_links": { "type": "object", "description": "An object with several relevant URLs. Every URL object will contain an `href` and a `type` field.", "properties": { "self": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "dashboard": { "description": "Direct link to the onboarding process in the Mollie dashboard. The merchant can be redirected to this page to complete their onboarding.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "organization": { "description": "The API resource URL of the organization.", "type": "object", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } }, "documentation": { "type": "object", "description": "In v2 endpoints, URLs are commonly represented as objects with an `href` and `type` field.", "required": [ "href", "type" ], "properties": { "href": { "type": "string", "description": "The actual URL string.", "example": "https://..." }, "type": { "type": "string", "description": "The content type of the page or endpoint the URL points to.", "example": "application/hal+json" } } } }, "readOnly": true } } }, "examples": { "get-onboarding-status-200-1": { "summary": "The onboarding status object of the current organization", "value": { "resource": "onboarding", "name": "Mollie B.V.", "status": "completed", "canReceivePayments": true, "canReceiveSettlements": true, "signedUpAt": "2023-12-20T10:49:08+00:00", "_links": { "self": { "href": "...", "type": "application/hal+json" }, "dashboard": { "href": "https://www.mollie.com/dashboard/onboarding", "type": "text/html" }, "organization": { "href": "https://api.mollie.com/v2/organizations/org_12345678", "type": "application/hal+json" }, "documentation": { "href": "...", "type": "text/html" } } } } } } } } }, "x-readme": { "code-samples": [ { "language": "shell", "code": "curl -X GET https://api.mollie.com/v2/onboarding/me \\\n -H \"Authorization: Bearer access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\"" }, { "language": "php", "code": "setAccessToken(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\");\n\n$onboarding = $mollie->send(new GetOnboardingStatusRequest());", "install": "composer require mollie/mollie-api-php" }, { "language": "node", "code": "/*\nWe don't have a Node.js code example for this\nAPI call yet.\n\nIf you have some time to spare, feel free to\nshare suggestions on our Discord:\nhttps://discord.gg/VaTVkXB4aQ\n*/", "install": "npm install @mollie/api-client" }, { "language": "python", "code": "from mollie.api.client import Client\n\nmollie_client = Client()\nmollie_client.set_access_token(\"access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ\")\n\nonboarding = mollie_client.onboarding.get(\"me\")", "install": "pip install mollie-api-python" }, { "language": "ruby", "code": "require 'mollie-api-ruby'\n\nMollie::Client.configure do |config|\n config.api_key = 'access_Wwvu7egPcJLLJ9Kb7J632x8wJ2zMeJ'\nend\n\nonboarding = Mollie::Onboarding.me", "install": "gem install mollie-api-ruby" } ] } } } }, "components": { "securitySchemes": { "apiKey": { "type": "http", "scheme": "bearer", "x-default": "live_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "organizationAccessToken": { "type": "http", "scheme": "bearer", "x-default": "access_dHar4XY7LxsDOtmnkVtjNVWXLSlXsM" }, "oAuth": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://my.mollie.com/oauth2/authorize", "tokenUrl": "https://api.mollie.com/oauth2/tokens", "scopes": {} } } } } }, "x-readme": { "explorer-enabled": false, "samples-languages": [ "shell", "php", "node", "python", "ruby" ] } } ```